﻿/********************************
 * 
 * autor: Marcin Pietrzykowski
 * mail: mpietrzykowski@wi.zut.edu.pl
 * 
 * ******************************/

namespace MatlabUtils {
    /// <summary>
    /// Definiuje w jakim trybie ma zostać uruchominy Matlab Automation Server: prywatnym czy dzielonym.
    /// </summary>
    public enum ServerMode {
        /// <summary>
        /// Tworzony jest jeden wspólny serwer matlaba dla całego systemu operacyjnego i wszytkich instancji klasy <b>MatlabInstance</b>.
        /// </summary>
        Shared,
        /// <summary>
        /// Każda klasa <b>MatlabInstance</b> posiada swój własny dedykowany serwer.
        /// </summary>
        Single
    }
}
